<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>ru.entaxy.esb.platform.runtime.modules</groupId>
        <artifactId>uniform-service</artifactId>
        <version>1.10.1</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <groupId>ru.entaxy.esb.platform.runtime.modules.uniform.service</groupId>
    <artifactId>support</artifactId>
    <packaging>bundle</packaging>

    <name>ENTAXY :: PLATFORM :: RUNTIME :: MODULES :: UNIFORM :: SERVICE :: SUPPORT</name>
    <description>ENTAXY :: PLATFORM :: RUNTIME :: MODULES :: UNIFORM :: SERVICE :: SUPPORT</description>

    <properties>
        <bundle.osgi.export.pkg>ru.entaxy.esb.platform.runtime.modules.uniform-service.wsdl.*,
            ru.entaxy.esb.platform.runtime.modules.uniform-service.xslt.*,
            ru.entaxy.esb.platform.runtime.modules.uniform-service.xslt.type.*,</bundle.osgi.export.pkg>
        <bundle.osgi.import.pkg>javax.xml.soap*;version="[1.3,2)",
            javax.jws.*;version="[2.0.0,3.0.0)",
            javax.jws.soap.*;version="[2.0.0,3.0.0)",
            javax.xml.ws.*;version="[2.2.0,3.0.0)",
            !com.sun.xml.*,
            ru.entaxy.esb.system.common.exception,
            ru.entaxy.esb.system.common.aggregation.*,
            ru.entaxy.esb.system.common.interceptor,
            ru.entaxy.esb.system.common.util,
            ru.entaxy.esb.system.common.validator,
            org.apache.ignite,
            org.apache.ignite.internal.processors.cluster,
            org.apache.ignite.internal.processors.marshaller,
            org.apache.ignite.internal.util.lang.gridfunc,
            org.apache.ignite.spi.discovery.tcp.internal,
            org.apache.ignite.transactions,
            org.apache.ignite.internal.*,
            org.apache.ignite.lang,
            org.apache.ignite.configuration,
            *</bundle.osgi.import.pkg>
    </properties>

    <build>
    <plugins>
      <plugin>
        <groupId>org.apache.felix</groupId>
        <artifactId>maven-bundle-plugin</artifactId>
        <extensions>true</extensions>
        <configuration>
          <instructions>
            <Entaxy-Resource-Provider>true</Entaxy-Resource-Provider>
          </instructions>
        </configuration>
      </plugin>
    </plugins>
  </build>

    <dependencies>
        <dependency>
            <groupId>xerces</groupId>
            <artifactId>xercesImpl</artifactId>
            <version>${xerces.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.core.objects-implementations.profile-implementation</groupId>
            <artifactId>profile-runtime-legacy-support</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>
        
        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
            <artifactId>core-support-runtime-legacy</artifactId>
            <version>${project.version}</version>
        </dependency>
        
        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.core.objects-implementations.profile-implementation</groupId>
            <artifactId>profile-runtime-legacy-support</artifactId>
            <version>${project.version}</version>
        </dependency>
        
        <dependency>
            <groupId>org.osgi</groupId>
            <artifactId>osgi.core</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.eclipse.persistence</groupId>
            <artifactId>javax.persistence</artifactId>
            <version>${jpa.version}</version>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-core</artifactId>
            <version>${hibernate.version}</version>
        </dependency>
        <dependency>
            <groupId>javax.transaction</groupId>
            <artifactId>javax.transaction-api</artifactId>
            <version>${javax.transaction.version}</version>
        </dependency>
        <dependency>
            <groupId>javax.interceptor</groupId>
            <artifactId>javax.interceptor-api</artifactId>
            <version>${javax.interceptor.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-transports-http</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-transports-http-jetty</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
            <version>${commons-lang3.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.ignite</groupId>
            <artifactId>ignite-core</artifactId>
            <version>${ignite.version}</version>
        </dependency>

        <dependency>
            <groupId>org.apache.ignite</groupId>
            <artifactId>ignite-jcl</artifactId>
            <version>${ignite.version}</version>
        </dependency>

        <dependency>
            <groupId>com.hazelcast</groupId>
            <artifactId>hazelcast</artifactId>
            <version>${hazelcast.version}</version>
        </dependency>
    </dependencies>

</project>
